# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.solr.client.solrj.beans.DocumentObjectBinder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT`
`"#default"`

org.apache.solr.client.solrj.impl.BaseHttpClusterStateProvider
Modifier and Type
Constant Field
Value
`protected static final String`
`SYS_PROP_CACHE_TIMEOUT_SECONDS`
`"solr.solrj.cache.timeout.sec"`
org.apache.solr.client.solrj.impl.CloudSolrClient
Modifier and Type
Constant Field
Value
`public static final String`
`STATE_VERSION`
`"_stateVer_"`
org.apache.solr.client.solrj.impl.HttpSolrClientBase
Modifier and Type
Constant Field
Value
`protected static final String`
`DEFAULT_PATH`
`"/select"`
org.apache.solr.client.solrj.impl.LBSolrClient
Modifier and Type
Constant Field
Value
`protected static final String`
`UPDATE_LIVE_SERVER_MESSAGE`
`"Updated alive server list"`
org.apache.solr.client.solrj.impl.SolrHttpConstants
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CONNECT_TIMEOUT`
`60000`
`public static final int`
`DEFAULT_MAXCONNECTIONS`
`100000`
`public static final int`
`DEFAULT_MAXCONNECTIONSPERHOST`
`100000`
`public static final int`
`DEFAULT_SO_TIMEOUT`
`600000`
`public static final String`
`PROP_BASIC_AUTH_PASS`
`"httpBasicAuthPassword"`
`public static final String`
`PROP_BASIC_AUTH_USER`
`"httpBasicAuthUser"`
`public static final String`
`PROP_CONNECTION_TIMEOUT`
`"connTimeout"`
`public static final String`
`PROP_MAX_CONNECTIONS`
`"maxConnections"`
`public static final String`
`PROP_MAX_CONNECTIONS_PER_HOST`
`"maxConnectionsPerHost"`
`public static final String`
`PROP_SO_TIMEOUT`
`"socketTimeout"`
`public static final String`
`SYS_PROP_CHECK_PEER_NAME`
`"solr.ssl.check.peer.name.enabled"`

org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateCategoryRoutedAlias
Modifier and Type
Constant Field
Value
`public static final String`
`ROUTER_MAX_CARDINALITY`
`"router.maxCardinality"`
`public static final String`
`ROUTER_MUST_MATCH`
`"router.mustMatch"`
org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateTimeRoutedAlias
Modifier and Type
Constant Field
Value
`public static final String`
`ROUTER_AUTO_DELETE_AGE`
`"router.autoDeleteAge"`
`public static final String`
`ROUTER_INTERVAL`
`"router.interval"`
`public static final String`
`ROUTER_MAX_FUTURE`
`"router.maxFutureMs"`
`public static final String`
`ROUTER_PREEMPTIVE_CREATE_WINDOW`
`"router.preemptiveCreateMath"`
`public static final String`
`ROUTER_START`
`"router.start"`
org.apache.solr.client.solrj.request.CollectionAdminRequest.RoutedAliasAdminRequest
Modifier and Type
Constant Field
Value
`public static final String`
`ROUTER_FIELD`
`"router.field"`
`public static final String`
`ROUTER_TYPE_NAME`
`"router.name"`
org.apache.solr.client.solrj.request.DelegationTokenRequest<Q,R>
Modifier and Type
Constant Field
Value
`protected static final String`
`OP_KEY`
`"op"`
`protected static final String`
`TOKEN_KEY`
`"token"`
org.apache.solr.client.solrj.request.HealthCheckRequest
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_MAX_GENERATION_LAG`
`"maxGenerationLag"`
org.apache.solr.client.solrj.request.SolrQuery
Modifier and Type
Constant Field
Value
`public static final String`
`DOCID`
`"_docid_"`
org.apache.solr.client.solrj.request.UpdateRequest
Modifier and Type
Constant Field
Value
`public static final String`
`COMMIT_WITHIN`
`"cw"`
`public static final String`
`OVERWRITE`
`"ow"`
`public static final String`
`REPFACT`
`"rf"`
`public static final String`
`VER`
`"ver"`

org.apache.solr.client.solrj.request.beans.V2ApiConstants
Modifier and Type
Constant Field
Value
`public static final String`
`COLLECTIONS`
`"collections"`
`public static final String`
`CONFIG`
`"config"`
`public static final String`
`CREATE_COLLECTION_KEY`
`"create-collection"`
`public static final String`
`NODE_SET`
`"nodeSet"`
`public static final String`
`PROPERTIES_KEY`
`"properties"`
`public static final String`
`ROUTER_KEY`
`"router"`
`public static final String`
`SHARD_NAMES`
`"shardNames"`
`public static final String`
`SHUFFLE_NODES`
`"shuffleNodes"`

org.apache.solr.client.solrj.response.ClusteringResponse
Modifier and Type
Constant Field
Value
`public static final String`
`CLUSTERS_NODE`
`"clusters"`
`public static final String`
`DOCS_NODE`
`"docs"`
`public static final String`
`IS_OTHER_TOPICS`
`"other-topics"`
`public static final String`
`LABELS_NODE`
`"labels"`
`public static final String`
`SCORE_NODE`
`"score"`
org.apache.solr.client.solrj.response.JavaBinResponseParser
Modifier and Type
Constant Field
Value
`public static final String`
`JAVABIN_CONTENT_TYPE`
`"application/octet-stream"`
`public static final String`
`JAVABIN_CONTENT_TYPE_V2`
`"application/vnd.apache.solr.javabin"`
org.apache.solr.client.solrj.response.XMLResponseParser
Modifier and Type
Constant Field
Value
`public static final String`
`XML_CONTENT_TYPE`
`"application/xml; charset=UTF-8"`

org.apache.solr.client.solrj.response.json.BucketBasedJsonFacet
Modifier and Type
Constant Field
Value
`public static final int`
`UNSET_FLAG`
`-1`

org.apache.solr.client.solrj.util.ClientUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PATH`
`"/select"`
`public static final String`
`TEXT_JSON`
`"application/json; charset=UTF-8"`
`public static final String`
`TEXT_XML`
`"application/xml; charset=UTF-8"`
org.apache.solr.client.solrj.util.Constants
Modifier and Type
Constant Field
Value
`public static final boolean`
`JRE_IS_MINIMUM_JAVA11`
`true`
`public static final boolean`
`JRE_IS_MINIMUM_JAVA9`
`true`

org.apache.solr.common.cloud.ClusterState
Modifier and Type
Constant Field
Value
`public static final String`
`URL_SCHEME`
`"urlScheme"`
org.apache.solr.common.cloud.CompositeIdRouter
Modifier and Type
Constant Field
Value
`public static final int`
`bitsSeparator`
`47`
`public static final String`
`NAME`
`"compositeId"`
`public static final char`
`SEPARATOR`
`'!'`
org.apache.solr.common.cloud.DocCollection
Modifier and Type
Constant Field
Value
`public static final String`
`COLLECTIONS_ZKNODE`
`"/collections"`
org.apache.solr.common.cloud.DocCollection.CollectionStateProps
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIGNAME`
`"configName"`
`public static final String`
`DOC_ROUTER`
`"router"`
`public static final String`
`PER_REPLICA_STATE`
`"perReplicaState"`
`public static final String`
`READ_ONLY`
`"readOnly"`
`public static final String`
`REPLICATION_FACTOR`
`"replicationFactor"`
`public static final String`
`SHARDS`
`"shards"`
org.apache.solr.common.cloud.DocRouter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NAME`
`"compositeId"`
org.apache.solr.common.cloud.ImplicitDocRouter
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"implicit"`
org.apache.solr.common.cloud.PerReplicaStates
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_RETRIES`
`5`
`public static final char`
`SEPARATOR`
`':'`
org.apache.solr.common.cloud.PlainIdRouter
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"plain"`
org.apache.solr.common.cloud.Replica.ReplicaStateProps
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_URL`
`"base_url"`
`public static final String`
`COLLECTION`
`"collection"`
`public static final String`
`CORE_NAME`
`"core"`
`public static final String`
`CORE_NODE_NAME`
`"core_node_name"`
`public static final String`
`FORCE_SET_STATE`
`"force_set_state"`
`public static final String`
`LEADER`
`"leader"`
`public static final String`
`NODE_NAME`
`"node_name"`
`public static final String`
`PROPERTY_PREFIX`
`"property."`
`public static final String`
`REPLICA_ID`
`"replica"`
`public static final String`
`SHARD_ID`
`"shard"`
`public static final String`
`STATE`
`"state"`
`public static final String`
`TYPE`
`"type"`
org.apache.solr.common.cloud.Slice.SliceStateProps
Modifier and Type
Constant Field
Value
`public static final String`
`LEADER`
`"leader"`
`public static final String`
`PARENT`
`"parent"`
`public static final String`
`RANGE`
`"range"`
`public static final String`
`REPLICAS`
`"replicas"`
`public static final String`
`STATE_PROP`
`"state"`

org.apache.solr.common.params.AnalysisParams
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_NAME`
`"analysis.fieldname"`
`public static final String`
`FIELD_TYPE`
`"analysis.fieldtype"`
`public static final String`
`FIELD_VALUE`
`"analysis.fieldvalue"`
`public static final String`
`PREFIX`
`"analysis"`
`public static final String`
`QUERY`
`"analysis.query"`
`public static final String`
`SHOW_MATCH`
`"analysis.showmatch"`
org.apache.solr.common.params.CollectionAdminParams
Modifier and Type
Constant Field
Value
`public static final String`
`ALIAS`
`"alias"`
`public static final String`
`CLUSTER`
`"cluster"`
`public static final String`
`COLL_CONF`
`"collection.configName"`
`public static final String`
`COLLECTION`
`"collection"`
`public static final String`
`COPY_FILES_STRATEGY`
`"copy-files"`
`public static final String`
`COUNT_PROP`
`"count"`
`public static final String`
`CREATE_NODE_SET_PARAM`
`"createNodeSet"`
`public static final String`
`CREATE_NODE_SET_SHUFFLE_PARAM`
`"createNodeSet.shuffle"`
`public static final String`
`DEFAULTS`
`"defaults"`
`public static final String`
`FLUSH`
`"flush"`
`public static final String`
`FOLLOW_ALIASES`
`"followAliases"`
`public static final String`
`INDEX_BACKUP_STRATEGY`
`"indexBackup"`
`public static final String`
`NO_INDEX_BACKUP_STRATEGY`
`"none"`
`public static final String`
`NRT_REPLICAS`
`"nrtReplicas"`
`public static final String`
`NUM_SHARDS`
`"numShards"`
`public static final String`
`PER_REPLICA_STATE`
`"perReplicaState"`
`public static final String`
`PROPERTY_NAME`
`"propertyName"`
`public static final String`
`PROPERTY_PREFIX`
`"property."`
`public static final String`
`PROPERTY_VALUE`
`"propertyValue"`
`public static final String`
`PULL_REPLICAS`
`"pullReplicas"`
`public static final String`
`READ_ONLY`
`"readOnly"`
`public static final String`
`REPLICA`
`"replica"`
`public static final String`
`REPLICA_TYPE`
`"type"`
`public static final String`
`REPLICATION_FACTOR`
`"replicationFactor"`
`public static final String`
`ROLE`
`"role"`
`public static final String`
`ROUTER_PREFIX`
`"router."`
`public static final String`
`SHARD`
`"shard"`
`public static final String`
`SKIP_NODE_ASSIGNMENT`
`"skipNodeAssignment"`
`public static final String`
`TARGET`
`"target"`
`public static final String`
`TLOG_REPLICAS`
`"tlogReplicas"`
org.apache.solr.common.params.CollectionParams
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION`
`"action"`
`public static final String`
`FROM_NODE`
`"fromNode"`
`public static final String`
`MAX_BALANCE_SKEW`
`"maxBalanceSkew"`
`public static final String`
`NAME`
`"name"`
`public static final String`
`NODES`
`"nodes"`
`public static final String`
`SOURCE_NODE`
`"sourceNode"`
`public static final String`
`SOURCE_NODES`
`"sourceNodes"`
`public static final String`
`TARGET_NODE`
`"targetNode"`
`public static final String`
`TARGET_NODES`
`"targetNodes"`
org.apache.solr.common.params.CommonAdminParams
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC`
`"async"`
`public static final String`
`IN_PLACE_MOVE`
`"inPlaceMove"`
`public static final String`
`NUM_SUB_SHARDS`
`"numSubShards"`
`public static final String`
`SPLIT_BY_PREFIX`
`"splitByPrefix"`
`public static final String`
`SPLIT_FUZZ`
`"splitFuzz"`
`public static final String`
`SPLIT_KEY`
`"split.key"`
`public static final String`
`SPLIT_METHOD`
`"splitMethod"`
`public static final String`
`TIMEOUT`
`"timeout"`
`public static final String`
`WAIT_FOR_FINAL_STATE`
`"waitForFinalState"`
org.apache.solr.common.params.CommonParams
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION`
`"action"`
`public static final String`
`APISPEC_LOCATION`
`"apispec/"`
`public static final String`
`AUTHC_PATH`
`"/admin/authentication"`
`public static final String`
`AUTHZ_PATH`
`"/admin/authorization"`
`public static final String`
`CACHE`
`"cache"`
`public static final String`
`CHILDDOC`
`"_childDocuments_"`
`public static final String`
`COLLECTIONS_HANDLER_PATH`
`"/admin/collections"`
`public static final String`
`CONFIGSETS_HANDLER_PATH`
`"/admin/configs"`
`public static final String`
`CORES_HANDLER_PATH`
`"/admin/cores"`
`public static final String`
`COST`
`"cost"`
`public static final String`
`CPU_ALLOWED`
`"cpuAllowed"`
`public static final String`
`DEBUG`
`"debug"`
`public static final String`
`DEBUG_QUERY`
`"debugQuery"`
`public static final String`
`DF`
`"df"`
`public static final String`
`DISABLE`
`"disable"`
`public static final String`
`DISABLE_REQUEST_ID`
`"disableRequestId"`
`public static final String`
`DISTRIB`
`"distrib"`
`public static final String`
`DISTRIB_STATS_CACHE`
`"distrib.statsCache"`
`public static final String`
`ENABLE`
`"enable"`
`public static final String`
`EXCLUDE`
`"ex"`
`public static final String`
`EXPLAIN_OTHER`
`"explainOther"`
`public static final String`
`EXPLAIN_STRUCT`
`"debug.explain.structured"`
`public static final String`
`FAIL_ON_VERSION_CONFLICTS`
`"failOnVersionConflicts"`
`public static final String`
`FAILURE`
`"FAILURE"`
`public static final String`
`FIELD`
`"f"`
`public static final String`
`FILE`
`"file"`
`public static final String`
`FILES`
`"files"`
`public static final String`
`FL`
`"fl"`
`public static final String`
`FQ`
`"fq"`
`public static final String`
`HEADER_ECHO_HANDLER`
`"echoHandler"`
`public static final String`
`HEADER_ECHO_PARAMS`
`"echoParams"`
`public static final String`
`HEALTH_CHECK_HANDLER_PATH`
`"/admin/info/health"`
`public static final String`
`ID`
`"id"`
`public static final String`
`INDENT`
`"indent"`
`public static final String`
`INFO_HANDLER_PATH`
`"/admin/info"`
`public static final String`
`INTROSPECT`
`"/_introspect"`
`public static final String`
`IS_QUERY_CANCELLABLE`
`"canCancel"`
`public static final String`
`JAVABIN`
`"javabin"`
`public static final String`
`JAVABIN_MIME`
`"application/javabin"`
`public static final String`
`JSON`
`"json"`
`public static final String`
`JSON_MIME`
`"application/json"`
`public static final String`
`LOG_PARAMS_LIST`
`"logParamsList"`
`public static final String`
`MAX_HITS_ALLOWED`
`"maxHitsAllowed"`
`public static final String`
`MEM_ALLOWED`
`"memAllowed"`
`public static final String`
`METRICS_PATH`
`"/admin/metrics"`
`public static final String`
`MIN_EXACT_COUNT`
`"minExactCount"`
`public static final String`
`MULTI_THREADED`
`"multiThreaded"`
`public static final String`
`NAME`
`"name"`
`public static final String`
`NOW`
`"NOW"`
`public static final String`
`OK`
`"OK"`
`public static final String`
`OMIT_HEADER`
`"omitHeader"`
`public static final String`
`OUTPUT_KEY`
`"key"`
`public static final String`
`PARTIAL_RESULTS`
`"partialResults"`
`public static final String`
`PATH`
`"path"`
`public static final String`
`PING`
`"ping"`
`public static final String`
`PING_HANDLER`
`"/admin/ping"`
`public static final String`
`Q`
`"q"`
`public static final String`
`QT`
`"qt"`
`public static final String`
`QUERY`
`"query"`
`public static final String`
`QUERY_UUID`
`"queryUUID"`
`public static final String`
`REQUEST_ID`
`"rid"`
`public static final String`
`REQUEST_PURPOSE`
`"requestPurpose"`
`public static final String`
`RESULTS`
`"results"`
`public static final String`
`ROWS`
`"rows"`
`public static final int`
`ROWS_DEFAULT`
`10`
`public static final String`
`RQ`
`"rq"`
`public static final String`
`SEGMENT_TERMINATE_EARLY`
`"segmentTerminateEarly"`
`public static final boolean`
`SEGMENT_TERMINATE_EARLY_DEFAULT`
`false`
`public static final String`
`SOLR_REQUEST_CONTEXT_PARAM`
`"Solr-Request-Context"`
`public static final String`
`SOLR_REQUEST_TYPE_PARAM`
`"Solr-Request-Type"`
`public static final String`
`SORT`
`"sort"`
`public static final String`
`START`
`"start"`
`public static final int`
`START_DEFAULT`
`0`
`public static final String`
`STATUS`
`"status"`
`public static final String`
`SYSTEM_INFO_PATH`
`"/admin/info/system"`
`public static final String`
`TAG`
`"tag"`
`public static final String`
`TASK_CHECK_UUID`
`"taskUUID"`
`public static final String`
`TERMS`
`"terms"`
`public static final String`
`THREADS`
`"threads"`
`public static final String`
`TIME_ALLOWED`
`"timeAllowed"`
`public static final String`
`TIMING`
`"timing"`
`public static final String`
`TRACK`
`"track"`
`public static final String`
`TZ`
`"TZ"`
`public static final String`
`VALUE`
`"v"`
`public static final String`
`VALUE_LONG`
`"val"`
`public static final String`
`VERSION_FIELD`
`"_version_"`
`public static final String`
`WT`
`"wt"`
`public static final String`
`XSL`
`"xsl"`
`public static final String`
`ZK_PATH`
`"/admin/zookeeper"`
`public static final String`
`ZK_STATUS_PATH`
`"/admin/zookeeper/status"`
org.apache.solr.common.params.ConfigSetParams
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION`
`"action"`
`public static final String`
`CLEANUP`
`"cleanup"`
`public static final String`
`FILE_PATH`
`"filePath"`
`public static final String`
`OVERWRITE`
`"overwrite"`
org.apache.solr.common.params.CoreAdminParams
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION`
`"action"`
`public static final String`
`BACKUP_CONFIGSET`
`"backupConfigset"`
`public static final String`
`BACKUP_ID`
`"backupId"`
`public static final String`
`BACKUP_INCREMENTAL`
`"incremental"`
`public static final String`
`BACKUP_LOCATION`
`"location"`
`public static final String`
`BACKUP_PURGE_UNUSED`
`"purgeUnused"`
`public static final String`
`BACKUP_REPOSITORY`
`"repository"`
`public static final String`
`COLLECTION`
`"collection"`
`public static final String`
`COMMIT_NAME`
`"commitName"`
`public static final String`
`CONFIG`
`"config"`
`public static final String`
`CONFIGSET`
`"configSet"`
`public static final String`
`CORE`
`"core"`
`public static final String`
`CORE_NODE_NAME`
`"coreNodeName"`
`public static final String`
`DATA_DIR`
`"dataDir"`
`public static final String`
`DELETE_DATA_DIR`
`"deleteDataDir"`
`public static final String`
`DELETE_INDEX`
`"deleteIndex"`
`public static final String`
`DELETE_INSTANCE_DIR`
`"deleteInstanceDir"`
`public static final String`
`FILE`
`"file"`
`public static final String`
`GET_RANGES`
`"getRanges"`
`public static final String`
`INDEX_DIR`
`"indexDir"`
`public static final String`
`INDEX_INFO`
`"indexInfo"`
`public static final String`
`INSTANCE_DIR`
`"instanceDir"`
`public static final String`
`LOAD_ON_STARTUP`
`"loadOnStartup"`
`public static final String`
`MAX_NUM_BACKUP_POINTS`
`"maxNumBackupPoints"`
`public static final String`
`NAME`
`"name"`
`public static final String`
`NEW_COLLECTION`
`"newCollection"`
`public static final String`
`NODE`
`"node"`
`public static final String`
`OTHER`
`"other"`
`public static final String`
`PREV_SHARD_BACKUP_ID`
`"prevShardBackupId"`
`public static final String`
`PROPERTY_PREFIX`
`"property."`
`public static final String`
`RANGES`
`"ranges"`
`public static final String`
`REPLICA`
`"replica"`
`public static final String`
`REPLICA_TYPE`
`"replicaType"`
`public static final String`
`REQUESTID`
`"requestid"`
`public static final String`
`SCHEMA`
`"schema"`
`public static final String`
`SHARD`
`"shard"`
`public static final String`
`SHARD_BACKUP_ID`
`"shardBackupId"`
`public static final String`
`SNAPSHOT_NAME`
`"snapshotName"`
`public static final String`
`SRC_CORE`
`"srcCore"`
`public static final String`
`TARGET_CORE`
`"targetCore"`
`public static final String`
`ULOG_DIR`
`"ulogDir"`
org.apache.solr.common.params.CursorMarkParams
Modifier and Type
Constant Field
Value
`public static final String`
`CURSOR_MARK_NEXT`
`"nextCursorMark"`
`public static final String`
`CURSOR_MARK_PARAM`
`"cursorMark"`
`public static final String`
`CURSOR_MARK_START`
`"*"`
org.apache.solr.common.params.DisMaxParams
Modifier and Type
Constant Field
Value
`public static final String`
`ALTQ`
`"q.alt"`
`public static final String`
`BF`
`"bf"`
`public static final String`
`BQ`
`"bq"`
`public static final String`
`GEN`
`"gen"`
`public static final String`
`MM`
`"mm"`
`public static final String`
`MM_AUTORELAX`
`"mm.autoRelax"`
`public static final String`
`PF`
`"pf"`
`public static final String`
`PF2`
`"pf2"`
`public static final String`
`PF3`
`"pf3"`
`public static final String`
`PS`
`"ps"`
`public static final String`
`PS2`
`"ps2"`
`public static final String`
`PS3`
`"ps3"`
`public static final String`
`QF`
`"qf"`
`public static final String`
`QS`
`"qs"`
`public static final String`
`TIE`
`"tie"`
org.apache.solr.common.params.EventParams
Modifier and Type
Constant Field
Value
`public static final String`
`EVENT`
`"event"`
`public static final String`
`FIRST_SEARCHER`
`"firstSearcher"`
`public static final String`
`NEW_SEARCHER`
`"newSearcher"`
org.apache.solr.common.params.ExpandParams
Modifier and Type
Constant Field
Value
`public static final String`
`EXPAND`
`"expand"`
`public static final String`
`EXPAND_FIELD`
`"expand.field"`
`public static final String`
`EXPAND_FQ`
`"expand.fq"`
`public static final String`
`EXPAND_NULL`
`"expand.nullGroup"`
`public static final String`
`EXPAND_Q`
`"expand.q"`
`public static final String`
`EXPAND_ROWS`
`"expand.rows"`
`public static final String`
`EXPAND_SORT`
`"expand.sort"`
org.apache.solr.common.params.FacetParams
Modifier and Type
Constant Field
Value
`public static final String`
`FACET`
`"facet"`
`public static final String`
`FACET_CONTAINS`
`"facet.contains"`
`public static final String`
`FACET_CONTAINS_IGNORE_CASE`
`"facet.contains.ignoreCase"`
`public static final String`
`FACET_DATE`
`"facet.date"`
`public static final String`
`FACET_DATE_END`
`"facet.date.end"`
`public static final String`
`FACET_DATE_GAP`
`"facet.date.gap"`
`public static final String`
`FACET_DATE_HARD_END`
`"facet.date.hardend"`
`public static final String`
`FACET_DATE_INCLUDE`
`"facet.date.include"`
`public static final String`
`FACET_DATE_OTHER`
`"facet.date.other"`
`public static final String`
`FACET_DATE_START`
`"facet.date.start"`
`public static final String`
`FACET_ENUM_CACHE_MINDF`
`"facet.enum.cache.minDf"`
`public static final String`
`FACET_EXCLUDETERMS`
`"facet.excludeTerms"`
`public static final String`
`FACET_EXISTS`
`"facet.exists"`
`public static final String`
`FACET_FIELD`
`"facet.field"`
`public static final String`
`FACET_HEATMAP`
`"facet.heatmap"`
`public static final String`
`FACET_HEATMAP_DIST_ERR`
`"facet.heatmap.distErr"`
`public static final String`
`FACET_HEATMAP_DIST_ERR_PCT`
`"facet.heatmap.distErrPct"`
`public static final String`
`FACET_HEATMAP_FORMAT`
`"facet.heatmap.format"`
`public static final String`
`FACET_HEATMAP_GEOM`
`"facet.heatmap.geom"`
`public static final String`
`FACET_HEATMAP_LEVEL`
`"facet.heatmap.gridLevel"`
`public static final String`
`FACET_HEATMAP_MAX_CELLS`
`"facet.heatmap.maxCells"`
`public static final String`
`FACET_INTERVAL`
`"facet.interval"`
`public static final String`
`FACET_INTERVAL_SET`
`"facet.interval.set"`
`public static final String`
`FACET_LIMIT`
`"facet.limit"`
`public static final String`
`FACET_MATCHES`
`"facet.matches"`
`public static final String`
`FACET_METHOD`
`"facet.method"`
`public static final String`
`FACET_METHOD_enum`
`"enum"`
`public static final String`
`FACET_METHOD_fc`
`"fc"`
`public static final String`
`FACET_METHOD_fcs`
`"fcs"`
`public static final String`
`FACET_METHOD_uif`
`"uif"`
`public static final String`
`FACET_MINCOUNT`
`"facet.mincount"`
`public static final String`
`FACET_MISSING`
`"facet.missing"`
`public static final String`
`FACET_OFFSET`
`"facet.offset"`
`public static final String`
`FACET_OVERREQUEST`
`"facet.overrequest"`
`public static final String`
`FACET_OVERREQUEST_COUNT`
`"facet.overrequest.count"`
`public static final String`
`FACET_OVERREQUEST_RATIO`
`"facet.overrequest.ratio"`
`public static final String`
`FACET_PIVOT`
`"facet.pivot"`
`public static final String`
`FACET_PIVOT_MINCOUNT`
`"facet.pivot.mincount"`
`public static final String`
`FACET_PREFIX`
`"facet.prefix"`
`public static final String`
`FACET_QUERY`
`"facet.query"`
`public static final String`
`FACET_RANGE`
`"facet.range"`
`public static final String`
`FACET_RANGE_END`
`"facet.range.end"`
`public static final String`
`FACET_RANGE_GAP`
`"facet.range.gap"`
`public static final String`
`FACET_RANGE_HARD_END`
`"facet.range.hardend"`
`public static final String`
`FACET_RANGE_INCLUDE`
`"facet.range.include"`
`public static final String`
`FACET_RANGE_METHOD`
`"facet.range.method"`
`public static final String`
`FACET_RANGE_OTHER`
`"facet.range.other"`
`public static final String`
`FACET_RANGE_START`
`"facet.range.start"`
`public static final String`
`FACET_SORT`
`"facet.sort"`
`public static final String`
`FACET_SORT_COUNT`
`"count"`
`public static final String`
`FACET_SORT_COUNT_LEGACY`
`"true"`
`public static final String`
`FACET_SORT_INDEX`
`"index"`
`public static final String`
`FACET_SORT_INDEX_LEGACY`
`"false"`
`public static final String`
`FACET_THREADS`
`"facet.threads"`
`public static final String`
`FACET_ZEROS`
`"facet.zeros"`
org.apache.solr.common.params.GroupParams
Modifier and Type
Constant Field
Value
`public static final String`
`GROUP`
`"group"`
`public static final String`
`GROUP_CACHE_PERCENTAGE`
`"group.cache.percent"`
`public static final String`
`GROUP_DISTRIBUTED_FIRST`
`"group.distributed.first"`
`public static final String`
`GROUP_DISTRIBUTED_SECOND`
`"group.distributed.second"`
`public static final String`
`GROUP_DISTRIBUTED_TOPGROUPS_PREFIX`
`"group.topgroups."`
`public static final String`
`GROUP_FACET`
`"group.facet"`
`public static final String`
`GROUP_FIELD`
`"group.field"`
`public static final String`
`GROUP_FORMAT`
`"group.format"`
`public static final String`
`GROUP_FUNC`
`"group.func"`
`public static final String`
`GROUP_LIMIT`
`"group.limit"`
`public static final String`
`GROUP_MAIN`
`"group.main"`
`public static final String`
`GROUP_OFFSET`
`"group.offset"`
`public static final String`
`GROUP_QUERY`
`"group.query"`
`public static final String`
`GROUP_SORT`
`"group.sort"`
`public static final String`
`GROUP_TOTAL_COUNT`
`"group.ngroups"`
`public static final String`
`GROUP_TRUNCATE`
`"group.truncate"`
org.apache.solr.common.params.HighlightParams
Modifier and Type
Constant Field
Value
`public static final String`
`ALTERNATE_FIELD`
`"hl.alternateField"`
`public static final String`
`ALTERNATE_FIELD_LENGTH`
`"hl.maxAlternateFieldLength"`
`public static final String`
`BOUNDARY_SCANNER`
`"hl.boundaryScanner"`
`public static final String`
`BS_CHARS`
`"hl.bs.chars"`
`public static final String`
`BS_COUNTRY`
`"hl.bs.country"`
`public static final String`
`BS_LANGUAGE`
`"hl.bs.language"`
`public static final String`
`BS_MAX_SCAN`
`"hl.bs.maxScan"`
`public static final String`
`BS_SEP`
`"hl.bs.separator"`
`public static final String`
`BS_TYPE`
`"hl.bs.type"`
`public static final String`
`BS_VARIANT`
`"hl.bs.variant"`
`public static final String`
`CACHE_FIELD_VAL_CHARS_THRESHOLD`
`"hl.cacheFieldValCharsThreshold"`
`public static final String`
`DEFAULT_SUMMARY`
`"hl.defaultSummary"`
`public static final String`
`ENCODER`
`"hl.encoder"`
`public static final String`
`FIELD_MATCH`
`"hl.requireFieldMatch"`
`public static final String`
`FIELDS`
`"hl.fl"`
`public static final String`
`FORMATTER`
`"hl.formatter"`
`public static final String`
`FRAG_LIST_BUILDER`
`"hl.fragListBuilder"`
`public static final String`
`FRAGALIGNRATIO`
`"hl.fragAlignRatio"`
`public static final String`
`FRAGMENTER`
`"hl.fragmenter"`
`public static final String`
`FRAGMENTS_BUILDER`
`"hl.fragmentsBuilder"`
`public static final String`
`FRAGSIZE`
`"hl.fragsize"`
`public static final String`
`FRAGSIZEISMINIMUM`
`"hl.fragsizeIsMinimum"`
`public static final String`
`HIGHLIGHT`
`"hl"`
`public static final String`
`HIGHLIGHT_ALTERNATE`
`"hl.highlightAlternate"`
`public static final String`
`HIGHLIGHT_MULTI_TERM`
`"hl.highlightMultiTerm"`
`public static final String`
`INCREMENT`
`"hl.increment"`
`public static final String`
`MAX_CHARS`
`"hl.maxAnalyzedChars"`
`public static final String`
`MAX_MULTIVALUED_TO_EXAMINE`
`"hl.maxMultiValuedToExamine"`
`public static final String`
`MAX_MULTIVALUED_TO_MATCH`
`"hl.maxMultiValuedToMatch"`
`public static final String`
`MAX_RE_CHARS`
`"hl.regex.maxAnalyzedChars"`
`public static final String`
`MERGE_CONTIGUOUS_FRAGMENTS`
`"hl.mergeContiguous"`
`public static final String`
`METHOD`
`"hl.method"`
`public static final String`
`MULTI_VALUED_SEPARATOR`
`"hl.multiValuedSeparatorChar"`
`public static final String`
`OFFSET_SOURCE`
`"hl.offsetSource"`
`public static final String`
`PATTERN`
`"hl.regex.pattern"`
`public static final String`
`PAYLOADS`
`"hl.payloads"`
`public static final String`
`PHRASE_LIMIT`
`"hl.phraseLimit"`
`public static final String`
`PRESERVE_MULTI`
`"hl.preserveMulti"`
`public static final String`
`Q`
`"hl.q"`
`public static final String`
`QPARSER`
`"hl.qparser"`
`public static final String`
`QUERY_FIELD_PATTERN`
`"hl.queryFieldPattern"`
`public static final String`
`REGEX`
`"regex"`
`public static final String`
`SCORE`
`"score"`
`public static final String`
`SCORE_B`
`"hl.score.b"`
`public static final String`
`SCORE_K1`
`"hl.score.k1"`
`public static final String`
`SCORE_PIVOT`
`"hl.score.pivot"`
`public static final String`
`SIMPLE`
`"simple"`
`public static final String`
`SIMPLE_POST`
`"hl.simple.post"`
`public static final String`
`SIMPLE_PRE`
`"hl.simple.pre"`
`public static final String`
`SLOP`
`"hl.regex.slop"`
`public static final String`
`SNIPPETS`
`"hl.snippets"`
`public static final String`
`TAG_ELLIPSIS`
`"hl.tag.ellipsis"`
`public static final String`
`TAG_POST`
`"hl.tag.post"`
`public static final String`
`TAG_PRE`
`"hl.tag.pre"`
`public static final String`
`USE_PHRASE_HIGHLIGHTER`
`"hl.usePhraseHighlighter"`
`public static final String`
`WEIGHT_MATCHES`
`"hl.weightMatches"`
org.apache.solr.common.params.MoreLikeThisParams
Modifier and Type
Constant Field
Value
`public static final String`
`BOOST`
`"mlt.boost"`
`public static final int`
`DEFAULT_DOC_COUNT`
`5`
`public static final String`
`DOC_COUNT`
`"mlt.count"`
`public static final String`
`INTERESTING_TERMS`
`"mlt.interestingTerms"`
`public static final String`
`MATCH_INCLUDE`
`"mlt.match.include"`
`public static final String`
`MATCH_OFFSET`
`"mlt.match.offset"`
`public static final String`
`MAX_DOC_FREQ`
`"mlt.maxdf"`
`public static final String`
`MAX_DOC_FREQ_PCT`
`"mlt.maxdfpct"`
`public static final String`
`MAX_NUM_TOKENS_PARSED`
`"mlt.maxntp"`
`public static final String`
`MAX_QUERY_TERMS`
`"mlt.maxqt"`
`public static final String`
`MAX_WORD_LEN`
`"mlt.maxwl"`
`public static final String`
`MIN_DOC_FREQ`
`"mlt.mindf"`
`public static final String`
`MIN_TERM_FREQ`
`"mlt.mintf"`
`public static final String`
`MIN_WORD_LEN`
`"mlt.minwl"`
`public static final String`
`MLT`
`"mlt"`
`public static final String`
`PREFIX`
`"mlt."`
`public static final String`
`QF`
`"mlt.qf"`
`public static final String`
`SIMILARITY_FIELDS`
`"mlt.fl"`
org.apache.solr.common.params.QueryElevationParams
Modifier and Type
Constant Field
Value
`public static final String`
`EDITORIAL_MARKER_FIELD_NAME`
`"editorialMarkerFieldName"`
`public static final String`
`ELEVATE_EXCLUDE_TAGS`
`"elevate.excludeTags"`
`public static final String`
`ELEVATE_ONLY_DOCS_MATCHING_QUERY`
`"elevateOnlyDocsMatchingQuery"`
`public static final String`
`ENABLE`
`"enableElevation"`
`public static final String`
`EXCLUDE`
`"excludeIds"`
`public static final String`
`EXCLUDE_MARKER_FIELD_NAME`
`"excludeMarkerFieldName"`
`public static final String`
`EXCLUSIVE`
`"exclusive"`
`public static final String`
`FORCE_ELEVATION`
`"forceElevation"`
`public static final String`
`IDS`
`"elevateIds"`
`public static final String`
`MARK_EXCLUDES`
`"markExcludes"`
`public static final String`
`USE_CONFIGURED_ELEVATED_ORDER`
`"useConfiguredElevatedOrder"`
org.apache.solr.common.params.ShardParams
Modifier and Type
Constant Field
Value
`public static final String`
`_ROUTE_`
`"_route_"`
`public static final String`
`DISTRIB_SINGLE_PASS`
`"distrib.singlePass"`
`public static final String`
`IDS`
`"ids"`
`public static final String`
`IS_SHARD`
`"isShard"`
`public static final String`
`QUERY_ID`
`"queryID"`
`public static final String`
`REPLICA_HOST`
`"host"`
`public static final String`
`REPLICA_LOCAL`
`"local"`
`public static final String`
`REPLICA_RANDOM`
`"random"`
`public static final String`
`REPLICA_STABLE`
`"stable"`
`public static final String`
`REQUIRE_ZK_CONNECTED`
`"requireZkConnected"`
`public static final String`
`ROUTING_DIVIDEND`
`"dividend"`
`public static final String`
`ROUTING_HASH`
`"hash"`
`public static final String`
`SHARD_NAME`
`"shard.name"`
`public static final String`
`SHARD_URL`
`"shard.url"`
`public static final String`
`SHARDS`
`"shards"`
`public static final String`
`SHARDS_INFO`
`"shards.info"`
`public static final String`
`SHARDS_PREFERENCE`
`"shards.preference"`
`public static final String`
`SHARDS_PREFERENCE_NODE_WITH_SAME_SYSPROP`
`"node.sysprop"`
`public static final String`
`SHARDS_PREFERENCE_REPLICA_BASE`
`"replica.base"`
`public static final String`
`SHARDS_PREFERENCE_REPLICA_LEADER`
`"replica.leader"`
`public static final String`
`SHARDS_PREFERENCE_REPLICA_LOCATION`
`"replica.location"`
`public static final String`
`SHARDS_PREFERENCE_REPLICA_TYPE`
`"replica.type"`
`public static final String`
`SHARDS_PURPOSE`
`"shards.purpose"`
`public static final String`
`SHARDS_QT`
`"shards.qt"`
`public static final String`
`SHARDS_ROWS`
`"shards.rows"`
`public static final String`
`SHARDS_START`
`"shards.start"`
`public static final String`
`SHARDS_TOLERANT`
`"shards.tolerant"`
org.apache.solr.common.params.SimpleParams
Modifier and Type
Constant Field
Value
`public static final String`
`AND_OPERATOR`
`"AND"`
`public static final String`
`ESCAPE_OPERATOR`
`"ESCAPE"`
`public static final String`
`FUZZY_OPERATOR`
`"FUZZY"`
`public static final String`
`NEAR_OPERATOR`
`"NEAR"`
`public static final String`
`NOT_OPERATOR`
`"NOT"`
`public static final String`
`OR_OPERATOR`
`"OR"`
`public static final String`
`PHRASE_OPERATOR`
`"PHRASE"`
`public static final String`
`PRECEDENCE_OPERATORS`
`"PRECEDENCE"`
`public static final String`
`PREFIX_OPERATOR`
`"PREFIX"`
`public static final String`
`QF`
`"qf"`
`public static final String`
`QO`
`"q.operators"`
`public static final String`
`WHITESPACE_OPERATOR`
`"WHITESPACE"`
org.apache.solr.common.params.SpatialParams
Modifier and Type
Constant Field
Value
`public static final String`
`DISTANCE`
`"d"`
`public static final String`
`FIELD`
`"sfield"`
`public static final String`
`MEASURE`
`"meas"`
`public static final String`
`POINT`
`"pt"`
`public static final String`
`SPHERE_RADIUS`
`"sphere_radius"`
`public static final String`
`UNITS`
`"units"`
org.apache.solr.common.params.SpellingParams
Modifier and Type
Constant Field
Value
`public static final String`
`SPELLCHECK_ACCURACY`
`"spellcheck.accuracy"`
`public static final String`
`SPELLCHECK_ALTERNATIVE_TERM_COUNT`
`"spellcheck.alternativeTermCount"`
`public static final String`
`SPELLCHECK_BUILD`
`"spellcheck.build"`
`public static final String`
`SPELLCHECK_COLLATE`
`"spellcheck.collate"`
`public static final String`
`SPELLCHECK_COLLATE_EXTENDED_RESULTS`
`"spellcheck.collateExtendedResults"`
`public static final String`
`SPELLCHECK_COLLATE_MAX_COLLECT_DOCS`
`"spellcheck.collateMaxCollectDocs"`
`public static final String`
`SPELLCHECK_COLLATE_PARAM_OVERRIDE`
`"spellcheck.collateParam."`
`public static final String`
`SPELLCHECK_COUNT`
`"spellcheck.count"`
`public static final String`
`SPELLCHECK_DICT`
`"spellcheck.dictionary"`
`public static final String`
`SPELLCHECK_EXTENDED_RESULTS`
`"spellcheck.extendedResults"`
`public static final String`
`SPELLCHECK_MAX_COLLATION_EVALUATIONS`
`"spellcheck.maxCollationEvaluations"`
`public static final String`
`SPELLCHECK_MAX_COLLATION_TRIES`
`"spellcheck.maxCollationTries"`
`public static final String`
`SPELLCHECK_MAX_COLLATIONS`
`"spellcheck.maxCollations"`
`public static final String`
`SPELLCHECK_MAX_RESULTS_FOR_SUGGEST`
`"spellcheck.maxResultsForSuggest"`
`public static final String`
`SPELLCHECK_MAX_RESULTS_FOR_SUGGEST_FQ`
`"spellcheck.maxResultsForSuggest.fq"`
`public static final String`
`SPELLCHECK_ONLY_MORE_POPULAR`
`"spellcheck.onlyMorePopular"`
`public static final String`
`SPELLCHECK_PREFIX`
`"spellcheck."`
`public static final String`
`SPELLCHECK_Q`
`"spellcheck.q"`
`public static final String`
`SPELLCHECK_RELOAD`
`"spellcheck.reload"`
org.apache.solr.common.params.StatsParams
Modifier and Type
Constant Field
Value
`public static final String`
`STATS`
`"stats"`
`public static final String`
`STATS_CALC_DISTINCT`
`"stats.calcdistinct"`
`public static final String`
`STATS_FACET`
`"stats.facet"`
`public static final String`
`STATS_FIELD`
`"stats.field"`
org.apache.solr.common.params.StreamParams
Modifier and Type
Constant Field
Value
`public static final String`
`DOCS`
`"docs"`
`public static final String`
`EOF`
`"EOF"`
`public static final String`
`EXCEPTION`
`"EXCEPTION"`
`public static final String`
`EXPR`
`"expr"`
`public static final String`
`METRICS`
`"_METRICS_"`
`public static final String`
`P_VALUE`
`"p-value"`
`public static final String`
`RESPONSE_TIME`
`"RESPONSE_TIME"`
`public static final String`
`RESULT_SET`
`"result-set"`
`public static final String`
`RETURN_VALUE`
`"return-value"`
`public static final String`
`TUPLE`
`"tuple"`
org.apache.solr.common.params.TermsParams
Modifier and Type
Constant Field
Value
`public static final String`
`TERMS`
`"terms"`
`public static final String`
`TERMS_FIELD`
`"terms.fl"`
`public static final String`
`TERMS_LIMIT`
`"terms.limit"`
`public static final String`
`TERMS_LIST`
`"terms.list"`
`public static final String`
`TERMS_LOWER`
`"terms.lower"`
`public static final String`
`TERMS_LOWER_INCLUSIVE`
`"terms.lower.incl"`
`public static final String`
`TERMS_MAXCOUNT`
`"terms.maxcount"`
`public static final String`
`TERMS_MINCOUNT`
`"terms.mincount"`
`public static final String`
`TERMS_PREFIX`
`"terms."`
`public static final String`
`TERMS_PREFIX_STR`
`"terms.prefix"`
`public static final String`
`TERMS_RAW`
`"terms.raw"`
`public static final String`
`TERMS_REGEXP_FLAG`
`"terms.regex.flag"`
`public static final String`
`TERMS_REGEXP_STR`
`"terms.regex"`
`public static final String`
`TERMS_SORT`
`"terms.sort"`
`public static final String`
`TERMS_SORT_COUNT`
`"count"`
`public static final String`
`TERMS_SORT_INDEX`
`"index"`
`public static final String`
`TERMS_STATS`
`"terms.stats"`
`public static final String`
`TERMS_TTF`
`"terms.ttf"`
`public static final String`
`TERMS_UPPER`
`"terms.upper"`
`public static final String`
`TERMS_UPPER_INCLUSIVE`
`"terms.upper.incl"`
org.apache.solr.common.params.TermVectorParams
Modifier and Type
Constant Field
Value
`public static final String`
`ALL`
`"tv.all"`
`public static final String`
`DF`
`"tv.df"`
`public static final String`
`DOC_IDS`
`"tv.docIds"`
`public static final String`
`FIELDS`
`"tv.fl"`
`public static final String`
`OFFSETS`
`"tv.offsets"`
`public static final String`
`PAYLOADS`
`"tv.payloads"`
`public static final String`
`POSITIONS`
`"tv.positions"`
`public static final String`
`TF`
`"tv.tf"`
`public static final String`
`TF_IDF`
`"tv.tf_idf"`
`public static final String`
`TV_PREFIX`
`"tv."`
org.apache.solr.common.params.UpdateParams
Modifier and Type
Constant Field
Value
`public static final String`
`ASSUME_CONTENT_TYPE`
`"update.contentType"`
`public static final String`
`COLLECTION`
`"collection"`
`public static final String`
`COMMIT`
`"commit"`
`public static final String`
`COMMIT_WITHIN`
`"commitWithin"`
`public static final String`
`EXPUNGE_DELETES`
`"expungeDeletes"`
`public static final String`
`MAX_OPTIMIZE_SEGMENTS`
`"maxSegments"`
`public static final String`
`OPEN_SEARCHER`
`"openSearcher"`
`public static final String`
`OPTIMIZE`
`"optimize"`
`public static final String`
`OVERWRITE`
`"overwrite"`
`public static final String`
`PREPARE_COMMIT`
`"prepareCommit"`
`public static final String`
`REQUIRE_PARTIAL_DOC_UPDATES_INPLACE`
`"update.partial.requireInPlace"`
`public static final String`
`ROLLBACK`
`"rollback"`
`public static final String`
`SOFT_COMMIT`
`"softCommit"`
`public static final String`
`UPDATE_CHAIN`
`"update.chain"`
`public static final String`
`VERSIONS`
`"versions"`
`public static final String`
`WAIT_SEARCHER`
`"waitSearcher"`

org.apache.solr.common.util.ByteUtils
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_UTF8_BYTES_PER_CHAR`
`3`
org.apache.solr.common.util.CommandOperation
Modifier and Type
Constant Field
Value
`public static final String`
`ERR_MSGS`
`"errorMessages"`
`public static final String`
`ROOT_OBJ`
`""`
org.apache.solr.common.util.ContentStreamBase
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION_GZIP`
`"application/gzip"`
`public static final String`
`APPLICATION_JSON`
`"application/json"`
`public static final String`
`APPLICATION_OCTET_STREAM`
`"application/octet-stream"`
`public static final String`
`APPLICATION_XML`
`"application/xml"`
`public static final String`
`TEXT_XML`
`"text/xml"`
org.apache.solr.common.util.DOMUtil
Modifier and Type
Constant Field
Value
`public static final String`
`XML_RESERVED_PREFIX`
`"xml"`
org.apache.solr.common.util.JavaBinCodec
Modifier and Type
Constant Field
Value
`public static final byte`
`ARR`
`0x80`
`public static final byte`
`BOOL_FALSE`
`0x2`
`public static final byte`
`BOOL_TRUE`
`0x1`
`public static final byte`
`BYTE`
`0x3`
`public static final byte`
`BYTEARR`
`0xd`
`public static final byte`
`DATE`
`0x9`
`public static final byte`
`DOUBLE`
`0x5`
`public static final byte`
`END`
`0xf`
`public static final byte`
`ENUM_FIELD_VALUE`
`0x12`
`public static final byte`
`EXTERN_STRING`
`0xe0`
`public static final byte`
`FLOAT`
`0x8`
`public static final byte`
`INT`
`0x6`
`public static final byte`
`ITERATOR`
`0xe`
`public static final byte`
`LONG`
`0x7`
`public static final byte`
`MAP`
`0xa`
`public static final byte`
`MAP_ENTRY`
`0x13`
`public static final byte`
`MAP_ENTRY_ITER`
`0x11`
`public static final byte`
`NAMED_LST`
`0xc0`
`public static final byte`
`NULL`
`0x0`
`public static final byte`
`ORDERED_MAP`
`0xa0`
`public static final byte`
`PRIMITIVE_ARR`
`0x15`
`public static final byte`
`SHORT`
`0x4`
`public static final byte`
`SINT`
`0x40`
`public static final byte`
`SLONG`
`0x60`
`public static final byte`
`SOLRDOC`
`0xb`
`public static final byte`
`SOLRDOCLST`
`0xc`
`public static final byte`
`SOLRINPUTDOC`
`0x10`
`public static final byte`
`STR`
`0x20`
`public static final byte`
`TAG_AND_LEN`
`0x20`
`public static final byte`
`UUID`
`0x14`
org.apache.solr.common.util.JsonRecordReader
Modifier and Type
Constant Field
Value
`public static final String`
`DELIM`
`"."`
org.apache.solr.common.util.JsonTextWriter
Modifier and Type
Constant Field
Value
`public static final String`
`JSON_NL_ARROFARR`
`"arrarr"`
`public static final String`
`JSON_NL_ARROFMAP`
`"arrmap"`
`public static final String`
`JSON_NL_ARROFNTV`
`"arrntv"`
`public static final String`
`JSON_NL_FLAT`
`"flat"`
`public static final String`
`JSON_NL_MAP`
`"map"`
`public static final String`
`JSON_NL_STYLE`
`"json.nl"`
org.apache.solr.common.util.Utils
Modifier and Type
Constant Field
Value
`public static final String`
`CATCH_ALL_PROPERTIES_METHOD_NAME`
`"unknownProperties"`